> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/caf-api-pt-br/core-api/transaction-details/background-check/kyc/relationships.md).

# Relacionamentos

## Pessoas relacionadas (PF39)

Retorna o nome e o relacionamento de pessoas possivelmente relacionadas a esta pessoa.

**Seção:** `pfPersonalRelationships`

**Parâmetro obrigatório:** `cpf`

{% tabs %}
{% tab title="Esquema" %}

| Atributo                          | Tipo   | Descrição                                                                                                                           |
| --------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| código de status                  | String | Status da consulta ([detalhes](/caf-api/caf-api-pt-br/core-api/transaction-details/background-check/data-structure.md#status-code)) |
| dados                             | Array  | Dados de retorno                                                                                                                    |
| data\[x].relatedEntityTaxIdNumber | String | Número do documento de identificação                                                                                                |
| data\[x].relatedEntityTaxIdType   | String | Tipo de documento de identificação                                                                                                  |
| data\[x].relatedEntityName        | String | Nome da pessoa relacionada                                                                                                          |
| data\[x].relationshipType         | String | Tipo de relacionamento                                                                                                              |
| data\[x].relationshipLevel        | String | Nível do relacionamento                                                                                                             |
| {% endtab %}                      |        |                                                                                                                                     |

{% tab title="Exemplo" %}

```json
{
  "statusCode": "01",
  "data": {
    "items": [
      {
        "relatedEntityTaxIdNumber": "",
        "relatedEntityTaxIdType": "CPF",
        "relatedEntityName": "MARIA DOE",
        "relationshipType": "MÃE",
        "relationshipLevel": "DIRETO"
      },
      {
        "relatedEntityTaxIdNumber": "01XXXXXXX16",
        "relatedEntityTaxIdType": "CPF",
        "relatedEntityName": "GABRIEL DOE",
        "relationshipType": "IRMÃO",
        "relationshipLevel": "DIRETO"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## Números de telefone de pessoas relacionadas (PF38)

Retorna o número de telefone e o relacionamento de pessoas possivelmente relacionadas a esta pessoa.

**Seção:** `pfRelatedPeoplePhones`

**Parâmetro obrigatório:** `cpf`

{% tabs %}
{% tab title="Esquema" %}

| Atributo                    | Tipo    | Descrição                                                                                                                           |
| --------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| código de status            | String  | Status da consulta ([detalhes](/caf-api/caf-api-pt-br/core-api/transaction-details/background-check/data-structure.md#status-code)) |
| dados                       | Array   | Dados de retorno                                                                                                                    |
| data\[x].number             | String  | Telefone                                                                                                                            |
| data\[x].areaCode           | String  | Código de área                                                                                                                      |
| data\[x].countryCode        | String  | Código do país                                                                                                                      |
| data\[x].type               | String  | Tipo                                                                                                                                |
| data\[x].lastPassageDate    | String  | Data da última validação                                                                                                            |
| data\[x].portabilityHistory | Array   | Histórico de portabilidade                                                                                                          |
| data\[x].hasOptIn           | Boolean | Aceita chamadas de marketing                                                                                                        |
| {% endtab %}                |         |                                                                                                                                     |

{% tab title="Exemplo" %}

```json
{
  "statusCode": "01",
  "data": [
    {
      "number": "22112200",
      "areaCode": "54",
      "countryCode": "55",
      "type": "RELATED - 01XXXXXXX16 - IRMÃO - TRABALHO",
      "lastPassageDate": "2016-02-01T00:00:00Z",
      "portabilityHistory": [],
      "hasOptIn": false
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/caf-api-pt-br/core-api/transaction-details/background-check/kyc/relationships.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
